<?PHP
////++++++++++++++++ CONFIGURACIÃ“N FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecuciÃ³n
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100194";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalizaciÃ³n 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÃ“N FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<meta name="viewport" content="width=device-width"/>
<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>

<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz GrÃ¡fica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÃ“N FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAÃ±o = substr($TokEn, -28, 4);    // devuelve el aÃ±o
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el dÃ­a
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAÃ±o;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesiÃ³n del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesiÃ³n ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - AcreditaciÃ³n de SesiÃ³n Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
		///Arrastrar Valores
		$NoOrdenEn=strtoupper($_POST['txt_Orden']) or $NoOrdenEn=strtoupper($_GET['txt_Orden']);
		
		///Identificar Existencia de la Orden
			$sql_BO2 = mysql_query("select ESTADO_ORDEN from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'");
			if (mysql_numrows($sql_BO2)==0)
			{ ///Inicia IF Validador de Orden de Trabajo
				echo "<script>alert('La Orden de Trabajo ingresada no Existe.\\nFavor de corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
			}
			else
			{
		
		///Identificar la Orden
			$sql_BO = mysql_query("select ESTADO_ORDEN from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'");
			if (mysql_numrows($sql_BO)==0) echo "";
			else{
			$registro_BO=mysql_fetch_array($sql_BO);
			}
			if (mysql_numrows($sql_BO)>0)
			{
			$EdoOrd_BO=$registro_BO["ESTADO_ORDEN"];
			}
		
////++++++++++++++ FIN CONFIGURACIÃ“N FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="form1" name="form1" method="post" action="#">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		    <td colspan="2" align="center"><font class="Clase_TipoLetra">Ordenes de Trabajo - Traslado</font></td>
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>&nbsp;</td>
	      </tr>
		  <tr>
		    <td width="77"><font class="Clase_TipoLetra"><b>No. Orden:</b></font></td>
		    <td width="113"><?PHP echo"<font class='Clase_TipoLetra'>$NoOrdenEn</font>"; ?></td>
		  </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Estado:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$EdoOrd_BO</font>"; ?></td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center"><Br><font class="Clase_TipoLetra">Códigos Solicitados</font><Br><Br></td>
	      </tr>
           <?PHP
///Identificar si la Orden de Trabajo ya fue totalmente Abastecida
		   
	///Identificar el Total General de Piezas Apartadas
		$sql_Sum4 = "SELECT SUM(CANTIDAD_APARTADA) as ObtCant_Sum4 FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ESTADO_LINEA<>'CANCELADA'";
		$res_Sum4 = mysql_query($sql_Sum4); 
		$PrePiezas_Sum4 = mysql_fetch_assoc($res_Sum4);
		$Total_Sum4 =  $PrePiezas_Sum4 ['ObtCant_Sum4'];
		
	///Identificar el Total General de Piezas Ya Trasladadas
		$sql_Sum5 = "SELECT SUM(CANTIDAD_TRASLADADA) as ObtCant_Sum5 FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ESTADO_LINEA<>'CANCELADA'";
		$res_Sum5 = mysql_query($sql_Sum5); 
		$PrePiezas_Sum5 = mysql_fetch_assoc($res_Sum5);
		$Total_Sum5 =  $PrePiezas_Sum5 ['ObtCant_Sum5'];
		
		///Validardor General de Detección de Traslados
			if ($Total_Sum4 == $Total_Sum5)
			{///Inicia If General de Detección de Traslados
				echo "<script>alert('La Orden de Trabajo ha sido Abastecida al 100%.\\nFavor de Corroborarlo');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{
		   
            ///Barrer todos los Codigos solicitados dentro de la Orden de Trabajo
			$sql_W1=mysql_query("Select PEDIMENTO_SOLICITADO,TIPO_EXTRACCION,SKU,DESCRIPCION,ESTADO_LINEA from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ESTADO_LINEA<>'CANCELADA' ORDER BY SKU");
			while($res_W1=mysql_fetch_array($sql_W1))
				{///Inicia While 01
				$CodSku_w1 = $res_W1['SKU'];
				$Pedime_w1 = $res_W1['PEDIMENTO_SOLICITADO'];
				$TipExt_w1 = $res_W1['TIPO_EXTRACCION'];
				
					///Identificar el Total de Piezas por Codigo que se han de Trasladar							
					$sql_Sum2 = "SELECT SUM(CANTIDAD_X_TRABAJAR) as ObtCant_Sum2 FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$Pedime_w1' AND TIPO_EXTRACCION='$TipExt_w1' AND ESTADO_LINEA<>'CANCELADA'";
					$res_Sum2 = mysql_query($sql_Sum2); 
					$PrePiezas_Sum2 = mysql_fetch_assoc($res_Sum2);
					$Total_Sum2 =  $PrePiezas_Sum2 ['ObtCant_Sum2'];
					
					///Identificar el Total de Piezas por Codigo que ya han sido Trasladadas
					$sql_Sum3 = "SELECT SUM(CANTIDAD_TRASLADADA) as ObtCant_Sum3 FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$Pedime_w1' AND TIPO_EXTRACCION='$TipExt_w1' AND ESTADO_LINEA<>'CANCELADA'";
					$res_Sum3 = mysql_query($sql_Sum3); 
					$PrePiezas_Sum3 = mysql_fetch_assoc($res_Sum3);
					$Total_Sum3 =  $PrePiezas_Sum3 ['ObtCant_Sum3'];
					

			///Validar los codigos pendientes de Traslado
				if ($Total_Sum3 < $Total_Sum2)
				{///Inicia If Codigos Pendientes
			?>
		  <tr>
		    <td colspan="2">
            <font class="Clase_TipoLetra"><b><?PHP echo $CodSku_w1; ?></b></font> --- 
            <?PHP echo "<a href='14-OrdenTrabajo4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_Orden=$NoOrdenEn&SkuKP=$CodSku_w1&PedKP=$Pedime_w1&TExKP=$TipExt_w1'><font class='Clase_TipoLetra'><font color='#009900'>".$res_W1['DESCRIPCION']."</font></font></a>"; ?>
            </td>
	      </tr>
          <?PHP
				}///Inicia If Codigos Pendientes
				}
			}///Inicia If General de Detección de Traslados
		  ?>
		  <tr>
		    <td colspan="2"><Br><input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
        	  <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" /></td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center"><input type="button" value="Regresar" onClick=" window.location.href='<?PHP echo"14-OrdenTrabajo2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn";?>' "></td>
	      </tr>
		</table>
	</form>

      <!-- Termina Cuerpo de la Pantalla -->		
	</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz GrÃ¡fica -->
<?PHP

} ///Termina IF Validador de Orden de Trabajo
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
